SF.net SVN: geany: [2455] trunk

eht16 at users.sourceforge.net eht16 at xxxxx
Tue Apr 8 14:45:07 UTC 2008


Revision: 2455
          http://geany.svn.sourceforge.net/geany/?rev=2455&view=rev
Author:   eht16
Date:     2008-04-08 07:44:34 -0700 (Tue, 08 Apr 2008)

Log Message:
-----------
Move intl_stats.sh script back to po directory to not have to include the scripts directory in the distribution.

Modified Paths:
--------------
    trunk/ChangeLog
    trunk/Makefile.am

Added Paths:
-----------
    trunk/po/intl_stats.sh

Removed Paths:
-------------
    trunk/scripts/intl_stats.sh

Modified: trunk/ChangeLog
===================================================================
--- trunk/ChangeLog	2008-04-08 14:20:24 UTC (rev 2454)
+++ trunk/ChangeLog	2008-04-08 14:44:34 UTC (rev 2455)
@@ -5,6 +5,9 @@
    other documents are open.
  * src/editor.c:
    Backport a bugfix from Scite to fix folding problems.
+ * Makefile.am, scripts/intl_stats.sh, po/intl_stats.sh:
+   Move intl_stats.sh script back to po directory to not have to
+   include the scripts directory in the distribution.
 
 
 2008-04-06  Frank Lanitz  <frank(at)frank(dot)uvena(dot)de>

Modified: trunk/Makefile.am
===================================================================
--- trunk/Makefile.am	2008-04-08 14:20:24 UTC (rev 2454)
+++ trunk/Makefile.am	2008-04-08 14:44:34 UTC (rev 2455)
@@ -30,7 +30,7 @@
 	HACKING \
 	README.I18N \
 	README.Packagers \
-	scripts/intl_stats.sh \
+	po/intl_stats.sh \
 	intltool-extract.in \
 	intltool-merge.in \
 	intltool-update.in \

Copied: trunk/po/intl_stats.sh (from rev 2452, trunk/scripts/intl_stats.sh)
===================================================================
--- trunk/po/intl_stats.sh	                        (rev 0)
+++ trunk/po/intl_stats.sh	2008-04-08 14:44:34 UTC (rev 2455)
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Little shell script to display some basic statistics about Geany's translation
+# files. It also checks the menu accelerators.
+#
+# Copyright 2007-2008 Enrico Tröger <enrico(dot)troeger(at)uvena(dot)de>
+# Copyright 2007-2008 Frank Lanitz <enrico(dot)troeger(at)uvena(dot)de>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+
+
+check_accelerators=""
+linguas=""
+me=`basename $0`
+
+
+usage()
+{
+	echo "usage: $me [OPTION] [languages...]"
+	echo
+	echo "OPTIONs are:"
+	echo "-h --help           this help screen"
+  	echo "-a --accelerators   check also for menu accelerators"
+  	echo "languages           list of language codes which should be tested"
+  	echo
+  	echo "example: $me -a de fr hu"
+}
+
+
+# parse cmd line arguments
+while [ $# -gt 0 ]
+do
+	case $1 in
+		--accelerators)
+			check_accelerators="--check-accelerators=_"
+			;;
+		-a)
+		  check_accelerators="--check-accelerators=_"
+		  ;;
+		--help)
+		  usage;
+		  exit 1;
+		  ;;
+		-h)
+		  usage;
+		  exit 1;
+		  ;;
+		*)
+		  linguas="$linguas "$1
+		  ;;
+	esac
+	shift
+done
+
+
+
+# if no languages where specified on the command line, take all listed languages in LINGUAS
+if [ -z "$linguas" ]
+then
+	linguas=`sed -e '/^#/d' po/LINGUAS`
+fi
+
+# dash and zsh don't need the -e switch to echo, bash does
+# maybe there is a better way to detect whether we are running on a bash
+eswitch=""
+if [ "$BASH" ]
+then
+	eswitch="-e"
+fi
+
+# do the work
+if [ $check_accelerators ]
+then
+   for lang in $linguas
+   do
+     msgfmt --check --statistics $check_accelerators po/$lang.po;
+   done
+else
+   for lang in $linguas
+   do
+     # maybe the regexp can be optimized, regexps are not my best friends
+     creationdate=`grep "PO-Revision-Date:" po/$lang.po | sed 's/.*: \([0-9]\{4\}-[0-9]\{2\}-[0-9]\{2\} [0-9]\{2\}:[0-9]\{2\}[+|-][0-9]\{4\}\).*/\1/'`
+     echo -n $eswitch $lang"\t("$creationdate"):\t"
+     msgfmt --check --statistics po/$lang.po;
+   done
+fi
+
+

Deleted: trunk/scripts/intl_stats.sh
===================================================================
--- trunk/scripts/intl_stats.sh	2008-04-08 14:20:24 UTC (rev 2454)
+++ trunk/scripts/intl_stats.sh	2008-04-08 14:44:34 UTC (rev 2455)
@@ -1,100 +0,0 @@
-#!/bin/sh
-
-# Little shell script to display some basic statistics about Geany's translation
-# files. It also checks the menu accelerators.
-#
-# Copyright 2007-2008 Enrico Tröger <enrico(dot)troeger(at)uvena(dot)de>
-# Copyright 2007-2008 Frank Lanitz <enrico(dot)troeger(at)uvena(dot)de>
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-
-
-check_accelerators=""
-linguas=""
-me=`basename $0`
-
-
-usage()
-{
-	echo "usage: $me [OPTION] [languages...]"
-	echo
-	echo "OPTIONs are:"
-	echo "-h --help           this help screen"
-  	echo "-a --accelerators   check also for menu accelerators"
-  	echo "languages           list of language codes which should be tested"
-  	echo
-  	echo "example: $me -a de fr hu"
-}
-
-
-# parse cmd line arguments
-while [ $# -gt 0 ]
-do
-	case $1 in
-		--accelerators)
-			check_accelerators="--check-accelerators=_"
-			;;
-		-a)
-		  check_accelerators="--check-accelerators=_"
-		  ;;
-		--help)
-		  usage;
-		  exit 1;
-		  ;;
-		-h)
-		  usage;
-		  exit 1;
-		  ;;
-		*)
-		  linguas="$linguas "$1
-		  ;;
-	esac
-	shift
-done
-
-
-
-# if no languages where specified on the command line, take all listed languages in LINGUAS
-if [ -z "$linguas" ]
-then
-	linguas=`sed -e '/^#/d' po/LINGUAS`
-fi
-
-# dash and zsh don't need the -e switch to echo, bash does
-# maybe there is a better way to detect whether we are running on a bash
-eswitch=""
-if [ "$BASH" ]
-then
-	eswitch="-e"
-fi
-
-# do the work
-if [ $check_accelerators ]
-then
-   for lang in $linguas
-   do
-     msgfmt --check --statistics $check_accelerators po/$lang.po;
-   done
-else
-   for lang in $linguas
-   do
-     # maybe the regexp can be optimized, regexps are not my best friends
-     creationdate=`grep "PO-Revision-Date:" po/$lang.po | sed 's/.*: \([0-9]\{4\}-[0-9]\{2\}-[0-9]\{2\} [0-9]\{2\}:[0-9]\{2\}[+|-][0-9]\{4\}\).*/\1/'`
-     echo -n $eswitch $lang"\t("$creationdate"):\t"
-     msgfmt --check --statistics po/$lang.po;
-   done
-fi
-
-


This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.



More information about the Commits mailing list